# QVM: Quaternions, Vectors, Matrices

### operator*(vec,mat)

#include <boost/qvm/vec_mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_vec<A>::value && is_mat<B>::value &&
            //  vec_traits<A>::dim==mat_traits<B>::rows
            template <class A,class B>
            typename deduce_vec2<A,B,mat_traits<B>::cols>::type
            operator*( A const & a, B const & b );
        }
    }

#### Returns:

The result of multiplying the vector a and the matrix b, where a is interpreted as a matrix-row. The resulting matrix-column is returned as a vector type.